//
// This code is part of https://developer.mescius.com/document-solutions/dot-net-word-api/demos.
// Copyright (c) MESCIUS inc. All rights reserved.
//
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Word;

namespace DsWordWeb.Demos
{
    // In this sample, we create a 1000-paragraph document of Lorem Ipsum.
    public class LongDoc1
    {
        public GcWordDocument CreateDocx()
        {
            GcWordDocument doc = new GcWordDocument();

            var pars = doc.Body.Sections.First.GetRange().Paragraphs;
            for (int i = 0; i < 1000; ++i)
                pars.Add(Util.LoremIpsumPar());
            return doc;
        }
    }
}
